param n;
set Pontok := 1..n;

param x{Pontok};
param y{Pontok};

var a_quad;
var b_quad;
var c_quad;
var lvmax;

minimize Quad_L1: sum{i in Pontok} abs(y[i] - (a_quad * x[i]^2 + b_quad * x[i] + c_quad));
minimize Quad_L2: sum{i in Pontok} (y[i] - (a_quad * x[i]^2 + b_quad * x[i] + c_quad))^2;

subject to Lvmax_set{i in Pontok}: abs(y[i] - (a_quad * x[i]^2 + b_quad * x[i] + c_quad)) <= lvmax;

minimize Quad_Lv: lvmax;

var a_exp;
var b_exp;
var c_exp;

minimize Exp_L2_noC: sum{i in Pontok} (y[i] - (a_exp * exp(b_exp * x[i])))^2;

minimize Exp_L2_yesC: sum{i in Pontok} (y[i] - (a_exp * exp(b_exp * x[i]) + c_exp))^2;